%define upstream_name    WWW-RobotRules
%define upstream_version 6.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse /robots.txt file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyDBM_File)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(URI) >= 1.100.0
BuildArch:  noarch

%description
This module parses _/robots.txt_ files as specified in "A Standard for
Robot Exclusion", at <http://www.robotstxt.org/wc/norobots.html> Webmasters
can use the _/robots.txt_ file to forbid conforming robots from accessing
parts of their web site.

The parsed files are kept in a WWW::RobotRules object, and this object
provides methods to check if access to a given URL is prohibited. The same
WWW::RobotRules object can be used for one or more parsed _/robots.txt_
files on any number of hosts.

The following methods are provided:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 6.20.0-3.mga4
+ Revision: 515907
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.20.0-2.mga3
+ Revision: 374796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 6.20.0-1.mga2
+ Revision: 213262
- update to 6.02

* Mon Mar 14 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 70993
- update to 6.01

* Mon Feb 28 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 61520
- imported package perl-WWW-RobotRules


* Mon Feb 28 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
